#!/usr/bin/perl -w

use strict;

my @files = `ls *_top2percentOfNetworks.txt`;

print "Please enter the name of the output file: ";
my $output = <STDIN>;
chomp $output;

open(OUT,">$output")or die "\nCould not open output file\n";

my %allNetworks;
my @AoH=();
foreach my $file(@files)
	{
		chomp($file);
		my $pvaluePresent = 1;
		my %hashPerFile;
		open (IN, "$file") or die "Couldn't open $file\n" ;
		while(<IN>)
			{
				my $line = $_;
				my @input=split(/\s+/, $line);
				my $networkNumber = $input[0];
				$hashPerFile{$networkNumber} = $pvaluePresent;
				$allNetworks{$networkNumber}++;
			}
			push(@AoH,\%hashPerFile);
			close IN;
	}
my $lengthAoH = scalar(@AoH);
my $i = 0;
print OUT "NetworkNumber @files\n";
foreach my $indNetwork(sort keys %allNetworks)
	{
		my @final=();
		push(@final,$indNetwork);
		for($i=0;$i<$lengthAoH;$i++)
			{
				if(exists $AoH[$i]{$indNetwork})
					{
						push(@final,$AoH[$i]{$indNetwork});
					}
				else
					{
						push(@final,0);
					}
			}
		print OUT "@final\n";
	}

close OUT;
